*{margin:0;padding:0}
div,h1,h2,h3,h5,p,ul,li,ol,li,input,textarea,table,tr,th,td,footer,header,nav{box-sizing:border-box}
input,textarea,select{font-family:inherit;font-size:inherit;color:inherit}
a{text-decoration:none}
a img{border-style:none}
ul{list-style:square}
ol{list-style: decimal}
li{list-style-position: inside;}

html{
font-size:62.5%
}
body{
background-image:
url(cybercity.png);


background-size:contain;
background-repeat: no-repeat;
background-position-y: bottom;
background-color:#000;/* 背景 */
color:#fff;/* 文字色 */
font-size:1.2em;/* 文字の大きさ */
font-family:Verdana,Roboto,'游ゴシック','Yu Gothic','游ゴシック体','YuGothic','ヒラギノ角ゴ Pro W3','Hiragino Kaku Gothic Pro','メイリオ',Meiryo,'ＭＳ Ｐゴシック','MS PGothic',sans-serif;
letter-spacing:.1em;
line-height:1.5;
text-align:center;
overflow-y:scroll;
overflow-wrap:break-word;
word-wrap:break-word;
}
a{
color:#cb4aa8
}
/*--------------------------------------------------------
基本
--------------------------------------------------------*/
#wrapper{
background:#000;
border:1px solid #fff;
margin:20px auto;
width:600px /* 全体の幅・大きさはここで変更 */
}
/*--------------------------------------------------------
上(ヘッダー)
--------------------------------------------------------*/
header{
text-align:right
}
.header-inner{
color:#fff;
padding:10px
}
/*--------------------------------------------------------
メニュー
--------------------------------------------------------*/
#menu{
background:#cb4aa8;
border-top:1px solid #fff;
border-bottom:1px solid #fff;
color:#000;
font-weight:700;
line-height:1;
margin:10px 0;
width:100%;
text-align:right
}
nav li{
display:inline-block; /* 横並び */
position:relative; /* サブメニュー表示位置の基準 */
height:2em;line-height:2em; /* メニュー高さ */
}
nav li a,nav li span{
background:-webkit-linear-gradient(to right, rgba(0,0,0,0) 50%, rgba(255,102,153,.6) 50%) 0 0;
background:linear-gradient(to right, rgba(0,0,0,0) 50%, rgba(175, 67, 146, 0.88) 50%) 0 0;
background-size:200% auto;
border-left:1px solid #000;
color:#000;
display:block;
margin-left:-1px;
padding:0 10px;
transition:.3s
}
nav li a:hover,nav li span:hover {
background-position:-100% 0
}
/* サブメニュー */
.sub-menu{
background:rgba(0,0,0,.8);
position:absolute;
width:180px; /* サブメニュー幅 */
z-index:20
}
.sub-menu li{
display:flex; /* 横並びをリセット */
visibility:hidden; /* 隠す */
overflow:hidden; /* 隠す */
height:0; /* 隠す */
width:100%;
text-align:left
}
.sub-menu li a{
color:#fff
}
nav li:hover .sub-menu li{
visibility:visible;
overflow:visible;
height:3em;line-height:3em; /* サブメニュー高さ */
}
#open{display:none}
/*--------------------------------------------------------
メイン
--------------------------------------------------------*/
#contents{
padding:10px 20px;
text-align:left
}
#contents a{
color:#cb4aa8;
text-decoration:underline;
text-decoration-color:#ccc /* 一部ブラウザのみ */
}
#contents a img{text-decoration:none}
/*--------------------------------------------------------
下(フッター)
--------------------------------------------------------*/
footer{
border-top:1px solid #fff;
margin:10px 20px;
padding:10px 0;
text-align:right
}
/*--------------------------------------------------------
ページ上部へのリンク、著作権表示
--------------------------------------------------------*/
#pagetop {/* 位置はscroll.jsで設定 */
background:#cb4aa8;/* 背景 */
color:#fff;/* 色 */
height:50px;width:50px; /* 大きさ */
border-radius:30px;
box-sizing:border-box;
display:block;
line-height:16px;
padding-top:25px;
position:fixed;
text-align:center;
z-index:10
}
#pagetop:before {
content:'\25B2';
font-size:14px;
position:absolute;
left:0;top:10px;
width:100%
}
#pagetop:hover {
background:rgba(203, 74, 168, 0.75)
}
#fl a{
margin:10px 0
}
/*--------------------------------------------------------
見出し、枠、線
--------------------------------------------------------*/
h1{
color:#cb4aa8;
font-size:1.3em;
text-align:left;
margin:0 0 .5em
}
h1 a{
color:#cb4aa8
}
h2{
background:#cb4aa8;
color:#000;
font-size:1.1em;
margin:10px 0 10px -20px;
padding:.1em 1em;
position:relative;
text-align:right
}
h2::after{
border-width:0 10px 10px 0;
border-style:solid;
border-color:#000 #000 #fff #fff;
box-shadow:-1px 1px 2px rgba(0, 0, 0, .1);
content:'';
position:absolute;
right:0;
top:0;
width:0
}
h3{
border-bottom:3px double #fff;
font-size:1em;
margin:2em 0
}
h5{
color:#cb4aa8;
font-size:1.3em;
text-align:center;
margin:0 0 .5em
}
dt{
color:#cb4aa8;
font-weight:700;
float:left;
clear:both;
margin:0 0 5px;
width:150px
}
dd{
border-bottom:1px solid #cb4aa8;
margin:0 0 5px 160px
}
em{
font-weight:700
}
input,textarea{
background:#cb4aa8;
border:1px solid;
color:#000;
margin:3px 0;
width:200px
}
textarea{
height:50px
}
hr{
display:block;
border:0;  
border-top:1px solid #ccc;
margin:1em 0;
padding:0;
height:1px
}
.marker{
background:#cb4aa8;
background:-webkit-gradient(linear, left top, left bottom, color-stop(0, #000), color-stop(0.49, #000), color-stop(0.5, #cb4aa8), color-stop(1, #cb4aa8));
background:-webkit-linear-gradient(transparent 80%, #cb4aa8 0%);
background:linear-gradient(transparent 80%, #cb4aa8 0%)
}
.dcline{
border-left:3px solid #cb4aa8;
margin:5px 0;
padding:3px
}
.textbox{
border:1px solid;
margin:10px 0;
padding:3px;
text-align:center
}
.title{
color:#cb4aa8;
font-size:1.5em;
font-weight:700;
margin:2em 0;
text-align:right
}
.txt{
border-left:1px dotted;
color:#999;
margin:1em;
padding:0 0 0 1em
}
.frame{
background:#cb4aa8;
padding:5px;
border-radius:3px
}
.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}
/*--------------------------------------------------------
スマホ、タブレット用
横幅600pxで切り替え
--------------------------------------------------------*/
@media screen and (max-width: 600px){
body{font-size:1.4em;margin:0 20px 60px}
#wrapper{width:100%;margin-top:100px}
header{position:relative}
dt{float:none;clear:none;width:auto}
dd{margin-left:20px} /* 画像の縮小表示 */

/*--------------------------------------------------------
スマホ、タブレット用メニュー
--------------------------------------------------------*/
/* メニュー */
#menu{
background:rgba(0,0,0,.9); /* メニューの背景色 */
text-align:left;
border:none;
margin:0 auto;
display:none;
position:relative; /* 表示位置固定 */
left:0;
z-index:10
}
nav li{
display:inherit;
height:auto;line-height:inherit
}
nav li a,nav li span{
border-left:0;
color:#fff;
position:relative;
padding:15px 0; /* メニュー高さはここで調整 */
text-indent:1em;
transition:.5s
}
/* サブメニュー */
.sub-menu{
background:none;
position:static;
display:none; /* 隠す */
width:100%
}
.sub-menu li{
text-indent:1em;
display:inline-block;/* 一列ごとにするならここを削除 */
visibility:visible; /* リセット */
overflow:visible; /* リセット */
height:auto; /* 高さリセット */
width:50% /* 一列ごとにするならここを削除 */
}
.sub-menu li a:after{
display:none
}
nav li:hover .sub-menu li{
height:auto;line-height:inherit /* 高さリセット */
}
nav li span:after{
border-top:3px solid #fff; /* メニュー「>」の色 */
border-right:3px solid #fff; /* メニュー「>」の色 */
content:"";
display:block;
margin-top:-5px;
position:absolute;
top:50%;right:10px;
height:5px;width:5px;
-ms-transform:rotate(45deg);
-webkit-transform:rotate(45deg);
transform:rotate(45deg);
transition:.2s
}
nav li span.open:after{
-ms-transform:rotate(135deg);
-webkit-transform:rotate(135deg);
transform:rotate(135deg)
}
/* メニューを開くボタン */
#open{
background:#cb4aa8;
border-top:1px solid #fff;
border-bottom:1px solid #fff;
color:#000;
display:block;
padding:.5em;
margin:10px 0
}}
.sidenav {
 /* Full-height: remove this if you want "auto" height */
  width: 300px; /* Set the width of the sidebar */
  position:absolute;
  z-index: 1; /* Stay on top */
  top: 4; /* Stay at the top */
  left: 0;
  background-color: none; /* Black */
  overflow-x: hidden; /* Disable horizontal scroll */
  padding-top: 20px;
  padding-left: 50px;
}

.moon {
  @media screen and (max-width:600px) {
    display: none;
  }
}

.status {
  @media screen and (max-width:600px) {
    display: none;
    
  }
}

.starwalker {
  position:fixed;
  left:280px;
  bottom:0;
  @media screen and (max-width:600px) {
    position:fixed;
    left:0;
  }
}
.codewalker {
	position:relative;
	left:250px;
}

.addison {
  position:absolute;
  right:150px;
  top:300px;
  @media screen and (max-width:600px) {
    display: none;
  }
}

.everyman {
  position:absolute;
  left:180px;
  top:500px;
  @media screen and (max-width:600px) {
    display: none;
  }
}

.load {
  position:absolute;
  right:150px;
  top:150px;
  @media screen and (max-width:600px) {
    display: none;
  }
}

.viro {
  position: absolute;
  left:150px;
  top:200px;
  @media screen and (max-width:600px) {
    display: none;
  }
}

.les {
	position: absolute;
	right:580px;
	@media screen and (max-width:600px) {
		position: absolute;
		right:260px;
	}
}

.buttonCode {
width:150px;
height:150px;
}

.grid {
	display:grid;
	grid-auto-flow:column;
	grid-auto-columns: 65px;
	
}

.rings {
	display:grid;
	grid-auto-flow:column;
	grid-auto-columns: 100px;
	
}

.fantrolls {
	display:grid;
	grid-auto-flow: column;
	grid-auto-columns:auto;
	gap:20px;
}
/* The navigation menu links
.sidenav a {
  padding: 6px 8px 6px 16px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
} */
  
/* Style page content */


/* On smaller screens, where height is less than 450px, change the style of the sidebar (less padding and a smaller font size) */
@media screen and (max-width: 600px) {
  .sidenav {top:0;position:absolute;height:100px;
    width:200px;left:30%;padding:0;z-index:0;overflow-y: scroll;}
  
}